Page 2 of 2 FirstFirst 12
Results 11 to 15 of 15
  1. #11
    Join Date
    May 2005
    Posts
    532
    Plugin Contributions
    0

    Default Re: clean install Curl issue on WAMP

    Dr Byte,

    Thank you for the pointer about curltester.php so it appears that the Curl is running but the error is not having a local SSL certificate in place. Obvious really... so the next question is of course how can I install a certificate on local host.....I have read bit about self signing but do not seem to be able to find some step by step instructions on how to do this. Those I have found I have not been successful with. Anyone know a good site with how to set up Open SSL on a local host (for testing purposes locally only as this is in development.)


    Thank you once again for the great support you guys do.

    Regards

    Mikeyg

  2. #12
    Join Date
    May 2005
    Posts
    532
    Plugin Contributions
    0

    Default Re: clean install Curl issue on WAMP

    Sorry Me again, actually that is not the issue as I just realised I had change my php back to 7.0.4 and not on 7.3

    So infact when I run on 7.3 the curltester it does not run at all: Uncaught Error: Call to undefined function curl_init()

    so I am back to trying to sort out why wamp does not run curl in 7.3.

  3. #13
    Join Date
    Jan 2004
    Posts
    66,362
    Blog Entries
    7
    Plugin Contributions
    274

    Default Re: clean install Curl issue on WAMP

    Quote Originally Posted by MikeyG View Post
    Uncaught Error: Call to undefined function curl_init()
    That means PHP wasn't compiled/built with curl support included. Hopefully the WAMP support site can offer guidance on using their bundled software.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  4. #14
    Join Date
    Dec 2006
    Location
    Hudson Valley, New York USA
    Posts
    93
    Plugin Contributions
    0

    Default Re: clean install Curl issue on WAMP

    I'm having similar issues running a clean install of 1.5.6a on Wampserver on Windows 10. I spent the morning battling just to get cURL to load - You may want to try making sure that both your PHP and Apache are updated (I was running Apache 2.4.17 along with PHP 7.1.26 and cURL wouldn't work). Updating to Apache 2.4.38 did the trick.

    cURL seems to work fine everywhere except where the Version check is concerned - my error log gives me:
    Code:
    [01-Feb-2019 18:04:18 UTC] Request URI: /zencart156/splIt-yzB-sNack/index.php, IP address: ::1
    #1  VersionServer->isProjectCurrent() called at [C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php:97]
    #2  require(C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php:222]
    #3  require(C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index.php:26]
    --> PHP Warning: Illegal string offset 'versionMajor' in C:\wamp\www\zencart156\splIt-yzB-sNack\includes\classes\VersionServer.php on line 77.
    
    [01-Feb-2019 18:04:18 UTC] Request URI: /zencart156/splIt-yzB-sNack/index.php, IP address: ::1
    #1  require(C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php:222]
    #2  require(C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index.php:26]
    --> PHP Warning: Illegal string offset 'versionMajor' in C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php on line 103.
    
    [01-Feb-2019 18:04:18 UTC] Request URI: /zencart156/splIt-yzB-sNack/index.php, IP address: ::1
    #1  require(C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php:222]
    #2  require(C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index.php:26]
    --> PHP Warning: Illegal string offset 'versionMinor' in C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php on line 103.
    
    [01-Feb-2019 18:04:18 UTC] Request URI: /zencart156/splIt-yzB-sNack/index.php, IP address: ::1
    #1  require(C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php:222]
    #2  require(C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index.php:26]
    --> PHP Warning: Illegal string offset 'versionDetail' in C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php on line 103.
    
    [01-Feb-2019 18:04:18 UTC] Request URI: /zencart156/splIt-yzB-sNack/index.php, IP address: ::1
    #1  require(C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php:222]
    #2  require(C:\wamp\www\zencart156\splIt-yzB-sNack\index_dashboard.php) called at [C:\wamp\www\zencart156\splIt-yzB-sNack\index.php:26]
    --> PHP Warning: Illegal string offset 'versionDownloadURI' in C:\wamp\www\zencart156\splIt-yzB-sNack\includes\header.php on line 122.
    Here's what I see at the top of my admin
    Attachment 18310

    I believe this is because I'm not running in SSL and don't have a local certificate. Just sharing in case it helps anyone else out.
    Last edited by gwynwyffar; 1 Feb 2019 at 07:16 PM.

  5. #15
    Join Date
    Mar 2016
    Location
    Norcatur, Kansas, USA
    Posts
    80
    Plugin Contributions
    3

    Default Re: clean install Curl issue on WAMP

    Quote Originally Posted by gwynwyffar View Post
    I'm having similar issues running a clean install of 1.5.6a on Wampserver on Windows 10. I spent the morning battling just to get cURL to load - You may want to try making sure that both your PHP and Apache are updated (I was running Apache 2.4.17 along with PHP 7.1.26 and cURL wouldn't work). Updating to Apache 2.4.38 did the trick.
    What did you update your PHP to?

 

 
Page 2 of 2 FirstFirst 12

Similar Threads

  1. v151 Clean install, admin won't log in. WAMP
    By Pepperfire in forum Installing on a Windows Server
    Replies: 2
    Last Post: 9 Nov 2013, 09:57 PM
  2. v151 problem with cURL on WAMP
    By Porpoise in forum Installing on a Windows Server
    Replies: 2
    Last Post: 30 Oct 2012, 07:11 PM
  3. CURL issue on localhost install
    By iddy in forum Installing on a Windows Server
    Replies: 4
    Last Post: 26 May 2011, 07:25 AM
  4. Curl error during 1.3.9 install. we have curl installed tho
    By bangsters in forum General Questions
    Replies: 1
    Last Post: 16 May 2010, 08:55 AM
  5. Wamp and zen cart = CURL error!
    By johnylee in forum Installing on a Windows Server
    Replies: 2
    Last Post: 20 Mar 2009, 10:12 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR